# Mod the Gungeon API
A plugin for BepInEx that adds some of Mod the Gungeon's functionality and also adds backwards compatibility for modders who want to port to BepInEx

# Features
Mod the Gungeon API includes:
 * Most of classic Mod the Gungeon's API features (adding items to loot tables, changing strings, replacing and adding textures, etc)
 * A debug/cheat console (F2, ~, /)
 * A debug log that records all Unity logging (F3)
 * A mods menu that shows all enabled plugins (F1)

# [Installation (Manual)](https://github.com/SpecialAPI/ModTheGungeonAPI/wiki/BepInEx-and-Mod-the-Gungeon-API-installation-guide)
# Installation (Automatic)
Install either [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager) or [r2modman](https://enter-the-gungeon.thunderstore.io/package/ebkr/r2modman/) if you don't already have a mod manager. After that, press "Install with Mod Manager" on this page to install this mod.
# [Porting your mod to BepInEx](https://github.com/SpecialAPI/ModTheGungeonAPI/wiki/Updating-your-Gungeon-mod-to-BepInEx)
# [Converting .json files to .jtk2d files](https://github.com/SpecialAPI/ModTheGungeonAPI/wiki/Converting-.json-files-to-.jtk2d-files)
# BepInEx Example Mod (Plain)
[Download Zip](https://github.com/SpecialAPI/BepInExExampleMod/archive/refs/heads/main.zip)  
[GitHub Repository](https://github.com/SpecialAPI/BepInExExampleMod)
# BepInEx Example Mod (Items)
[Download Zip](https://github.com/SpecialAPI/BepInExExampleModItems/archive/refs/heads/main.zip)  
[GitHub Repository](https://github.com/SpecialAPI/BepInExExampleModItems)
# [Publicized and Stripped Assembly-CSharp.dll](https://github.com/SpecialAPI/ModTheGungeonAPI/raw/main/Dependencies/Assembly-CSharp.dll)
# [GitHub Repository](https://github.com/SpecialAPI/ModTheGungeonAPI)

# Credits:
 * SpecialAPI - main developer.
 * Captain Pretzel - optimizing the API to make mods load faster.
 * An3s - initial console + debug log port.
 * KubeRoot - updating SGUI to the latest version.
 * KyleTheScientist - base MTG example mod zips.